<?php

/**
 * Page de traitement permettant l'ajout d'une entrée dans la liste noire des expéditeurs.
 * C'est elle qui effectue les bons tests et appel la fonction adéquate.
 * Elle est appelée par un formulaire de la page de gestion des listes noires elle-même appelée par la page d'administration centrale.
 */

session_start();
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/privileges.php");
if (testPrivileges()!="administrateur") {
	header("Location: /pages/visiteurs/formulaire_accueil.php?erreur=18");
	die();
}
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/listes_noires.php");

if (isset($_POST['courriel_entree_liste_noire_exp']) && isset($_POST['choix_code_retour_entree_liste_noire_exp']) && !empty($_POST['courriel_entree_liste_noire_exp']) && !empty($_POST['choix_code_retour_entree_liste_noire_exp'])) {
	if ($_POST['choix_code_retour_entree_liste_noire_exp']==554) {
		ajoutEntreeListeNoireExpBdd($pdo,$_POST['courriel_entree_liste_noire_exp'],$_POST['choix_code_retour_entree_liste_noire_exp']);
		header ("Location: /pages/gestion/administration.php?page=listes_noires&sousPage=expediteurs&succes=12");
		die();
	}
	else {
		header ("Location: /pages/gestion/administration.php?page=listes_noires&sousPage=expediteurs&erreur=13");
		die();
	}
}
else {
	header ("Location: /pages/gestion/administration.php?page=listes_noires&sousPage=expediteurs&erreur=13");
	die();
}

?>